import { StateObject } from "@hpcc-js/util";
import { IConnection, IOptions } from "../connection.ts";
import { WorkunitsService, WsWorkunits } from "../services/wsWorkunits.ts";
export interface ECLTimerEx extends WsWorkunits.ECLTimer {
    Wuid: string;
    Seconds: number;
    HasSubGraphId: boolean;
}
export declare class Timer extends StateObject<ECLTimerEx, ECLTimerEx> implements ECLTimerEx {
    protected connection: WorkunitsService;
    get properties(): WsWorkunits.ECLTimer;
    get Wuid(): string;
    get Name(): string;
    get Value(): string;
    get Seconds(): number;
    get GraphName(): string;
    get SubGraphId(): number;
    get HasSubGraphId(): boolean;
    get count(): number;
    get Timestamp(): number;
    get When(): string;
    constructor(optsConnection: IOptions | IConnection | WorkunitsService, wuid: string, eclTimer: WsWorkunits.ECLTimer);
}
